# API References

### Exposed APIs

```typescript
import {
    createTss, //<- (From 4.9) The Modern API, you provide your context like a dynamic theme for example.
    tss, //<- The Modern API, to use when you don't have a dynamic theme object that you want to make available when you write your styles. 
    keyframes, //<- The function as defined in @emotion/react and @emotion/css
    GlobalStyles, //<- A component to define global styles. 
} from "tss-react";

import {
    tss // <- (From 4.9) The Modern API, that use the global MUI theme as context. It's also configured to enable global theme overrides on your custom components.  
    makeStyles, //<- A function similar to @material-ui/core/styles configured to use the global MUI theme.
    withStyles, //<- A function similar to @material-ui/core/styles configured to use the global MUI theme.
} from "tss-react/mui";
```

{% content-ref url="/pages/LCcRQXOejW6CMVd1KXl0" %}
[tss - the Modern API](/api/tss-usestyles.md)
{% endcontent-ref %}

{% content-ref url="/pages/aB3T1RmBOD8YZgD89VBD" %}
[\<GlobalStyles />](/api/globalstyles.md)
{% endcontent-ref %}

{% content-ref url="/pages/7XvVb8FjOQaMf42UAO2T" %}
[keyframes](/api/keyframes.md)
{% endcontent-ref %}

{% content-ref url="/pages/GiaDUeA25IqDbSkth3XQ" %}
[makeStyles -> useStyles](/api/makestyles.md)
{% endcontent-ref %}

{% content-ref url="/pages/O6JI5TezddQMPobz7jjm" %}
[withStyles](/api/withstyles.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tss-react.dev/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
